"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const init_1 = require("./server/init");
//eslint-disable-next-line import/no-unresolved
const { i18n } = require('@kbn/i18n'); // eslint-disable-line @typescript-eslint/no-var-requires
module.exports = function (kibana) {
    return new kibana.Plugin({
        name: 'machine_learning',
        require: ['kibana', 'elasticsearch', 'investigate_core', 'saved_objects_api'],
        uiExports: {
            visTypes: ['plugins/machine_learning/vis'],
            apps: [{
                    id: 'machine-learning',
                    title: i18n.translate('sirenPlugins.machineLearning.appTitle', {
                        defaultMessage: 'Machine Learning'
                    }),
                    description: 'Machine learning and anomaly detection',
                    main: 'plugins/machine_learning/App.js',
                    icon: 'plugins/machine_learning/assets/logo.svg'
                }]
        },
        init: init_1.default,
        config: Joi => Joi.object({
            enabled: Joi.boolean().default(true),
            username: Joi.string(),
            password: Joi.string(),
            siren_ml: Joi.object({
                uri: Joi.string().uri({ scheme: 'http' }).default('http://localhost:5001')
            }).default()
        }).default()
    });
};
