import { LastValues } from '../store/utils';
import { AxisId, SpecId } from '../../../utils/ids';
import { DataSeriesColorsValues } from '../utils/series';
import { AxisSpec, BasicSeriesSpec, Postfixes } from '../utils/specs';
export interface FormatedLastValues {
    y0: number | string | null;
    y1: number | string | null;
}
export declare type LegendItem = Postfixes & {
    key: string;
    color: string;
    label: string;
    value: DataSeriesColorsValues;
    isSeriesVisible?: boolean;
    banded?: boolean;
    isLegendItemVisible?: boolean;
    displayValue: {
        raw: LastValues;
        formatted: FormatedLastValues;
    };
};
export declare function getPostfix(spec: BasicSeriesSpec): Postfixes;
export declare function computeLegend(seriesColor: Map<string, DataSeriesColorsValues>, seriesColorMap: Map<string, string>, specs: Map<SpecId, BasicSeriesSpec>, defaultColor: string, axesSpecs: Map<AxisId, AxisSpec>, deselectedDataSeries?: DataSeriesColorsValues[] | null): Map<string, LegendItem>;
export declare function getSeriesColorLabel(colorValues: Array<string | number | null | undefined>, hasSingleSeries: boolean, spec?: BasicSeriesSpec): string | undefined;
