import { TooltipValue, TooltipType, TooltipValueFormatter } from '../utils/interactions';
import { IndexedGeometry } from '../rendering/rendering';
import { AxisSpec, BasicSeriesSpec, Rotation } from '../utils/specs';
import { SpecId, AxisId, GroupId } from '../../../utils/ids';
import { Scale } from '../../../utils/scales/scales';
import { Point } from '../store/chart_state';
export interface TooltipLegendValue {
    y0: any;
    y1: any;
}
export declare const Y0_ACCESSOR_POSTFIX = " - lower";
export declare const Y1_ACCESSOR_POSTFIX = " - upper";
export declare function getSeriesTooltipValues(tooltipValues: TooltipValue[], defaultValue?: string): Map<string, TooltipLegendValue>;
export declare function formatTooltip({ color, value: { x, y, accessor }, geometryId: { seriesKey } }: IndexedGeometry, spec: BasicSeriesSpec, isXValue: boolean, isHighlighted: boolean, axisSpec?: AxisSpec): TooltipValue;
export declare function emptyFormatter<T>(value: T): T;
export declare function getTooltipAndHighlightFromXValue(axisCursorPosition: Point, seriesSpecs: Map<SpecId, BasicSeriesSpec>, axesSpecs: Map<AxisId, AxisSpec>, geometriesIndex: Map<any, IndexedGeometry[]>, xValue: {
    value: any;
    withinBandwidth: boolean;
}, isActiveChart: boolean, tooltipType: TooltipType, chartRotation: Rotation, yScales?: Map<GroupId, Scale>, tooltipHeaderFormatter?: TooltipValueFormatter): {
    tooltipData: TooltipValue[];
    highlightedGeometries: IndexedGeometry[];
} | undefined;
