import { AxisTicksDimensions } from './axis_utils';
import { AxisSpec } from './specs';
import { Theme } from '../../../utils/themes/theme';
import { AxisId } from '../../../utils/ids';
import { Dimensions } from '../../../utils/dimensions';
/**
 * Compute the chart dimensions. It's computed removing from the parent dimensions
 * the axis spaces, the legend and any other specified style margin and padding.
 * @param parentDimensions the parent dimension
 * @param chartTheme the theme style of the chart
 * @param axisDimensions the axis dimensions
 * @param axisSpecs the axis specs
 * @param showLegend is the legend shown
 * @param legendPosition the optional legend position
 */
export declare function computeChartDimensions(parentDimensions: Dimensions, chartTheme: Theme, axisDimensions: Map<AxisId, AxisTicksDimensions>, axisSpecs: Map<AxisId, AxisSpec>): {
    chartDimensions: Dimensions;
    leftMargin: number;
};
