import React from 'react';
import { Position } from '../chart_types/xy_chart/utils/specs';
import { CursorEvent } from '../specs/settings';
import { ChartSize } from '../utils/chart_size';
interface ChartProps {
    /** The type of rendered
     * @default 'canvas'
     */
    renderer: 'svg' | 'canvas';
    size?: ChartSize;
    className?: string;
    id?: string;
}
interface ChartState {
    legendPosition: Position;
    renderComplete: boolean;
    renderCount: number;
}
export declare class Chart extends React.Component<ChartProps, ChartState> {
    static defaultProps: ChartProps;
    private chartSpecStore;
    private chartContainerRef;
    constructor(props: any);
    static getContainerStyle: (size: any) => React.CSSProperties;
    dispatchExternalCursorEvent(event?: CursorEvent): void;
    getChartContainerRef: () => React.RefObject<HTMLDivElement>;
    render(): JSX.Element;
}
export {};
