import { SVGAttributes } from 'react';
import { AlertIcon } from './assets/alert';
import { DotIcon } from './assets/dot';
import { EmptyIcon } from './assets/empty';
import { EyeIcon } from './assets/eye';
import { EyeClosedIcon } from './assets/eye_closed';
import { ListIcon } from './assets/list';
import { QuestionInCircle } from './assets/question_in_circle';
export declare type Omit<T, K> = Pick<T, Exclude<keyof T, K>>;
declare const typeToIconMap: {
    alert: typeof AlertIcon;
    dot: typeof DotIcon;
    empty: typeof EmptyIcon;
    eye: typeof EyeIcon;
    eyeClosed: typeof EyeClosedIcon;
    list: typeof ListIcon;
    questionInCircle: typeof QuestionInCircle;
};
export declare type IconColor = string;
export declare type IconType = keyof typeof typeToIconMap;
export interface IconProps {
    className?: string;
    'aria-label'?: string;
    'data-test-subj'?: string;
    type?: IconType;
    color?: IconColor;
}
export declare type Props = Omit<SVGAttributes<SVGElement>, 'color' | 'type'> & IconProps;
export declare const Icon: (props: Props) => JSX.Element;
export {};
