import React from 'react';
import { ChartStore } from '../../chart_types/xy_chart/store/chart_state';
import { Position } from '../../chart_types/xy_chart/utils/specs';
import { Theme } from '../../utils/themes/theme';
interface LegendProps {
    chartStore?: ChartStore;
}
interface LegendState {
    width?: number;
}
interface LegendStyle {
    maxHeight?: string;
    maxWidth?: string;
    width?: string;
}
interface LegendListStyle {
    paddingTop?: number | string;
    paddingBottom?: number | string;
    paddingLeft?: number | string;
    paddingRight?: number | string;
    gridTemplateColumns?: string;
}
declare class LegendComponent extends React.Component<LegendProps, LegendState> {
    static displayName: string;
    legendItemCount: number;
    state: {
        width: undefined;
    };
    private echLegend;
    componentDidUpdate(): void;
    render(): JSX.Element | null;
    tryLegendResize: () => void;
    getLegendListStyle: (position: Position, { chartMargins, legend }: Theme) => LegendListStyle;
    getLegendStyle: (position: Position, { legend }: Theme) => LegendStyle;
    onLegendItemMouseover: (legendItemKey: string) => () => void;
    onLegendItemMouseout: () => void;
    private getLegendValues;
    private getItemLabel;
    private renderLegendElement;
}
export declare const Legend: typeof LegendComponent & import("mobx-react").IWrappedComponent<LegendProps>;
export {};
