"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spread = (this && this.__spread) || function () {
    for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read(arguments[i]));
    return ar;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var mobx_react_1 = require("mobx-react");
var classnames_1 = __importDefault(require("classnames"));
var axis_utils_1 = require("../../chart_types/xy_chart/utils/axis_utils");
var legend_item_1 = require("./legend_item");
var rendering_1 = require("../../chart_types/xy_chart/rendering/rendering");
var LegendComponent = /** @class */ (function (_super) {
    __extends(LegendComponent, _super);
    function LegendComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.legendItemCount = 0;
        _this.state = {
            width: undefined,
        };
        _this.echLegend = react_1.createRef();
        _this.tryLegendResize = function () {
            var _a = _this.props.chartStore, chartInitialized = _a.chartInitialized, chartTheme = _a.chartTheme, legendPosition = _a.legendPosition, legendItems = _a.legendItems;
            var width = _this.state.width;
            if (_this.echLegend.current &&
                axis_utils_1.isVerticalAxis(legendPosition.get()) &&
                !chartInitialized.get() &&
                width === undefined &&
                _this.echLegend.current.offsetWidth > 0) {
                var buffer = chartTheme.legend.spacingBuffer;
                _this.legendItemCount = legendItems.size;
                return _this.setState({
                    width: _this.echLegend.current.offsetWidth + buffer,
                });
            }
            // Need to reset width to enable downsizing of width
            if (width !== undefined && legendItems.size !== _this.legendItemCount) {
                _this.legendItemCount = legendItems.size;
                _this.setState({
                    width: undefined,
                });
            }
        };
        _this.getLegendListStyle = function (position, _a) {
            var chartMargins = _a.chartMargins, legend = _a.legend;
            var paddingTop = chartMargins.top, paddingBottom = chartMargins.bottom, paddingLeft = chartMargins.left, paddingRight = chartMargins.right;
            if (axis_utils_1.isHorizontalAxis(position)) {
                return {
                    paddingLeft: paddingLeft,
                    paddingRight: paddingRight,
                    gridTemplateColumns: "repeat(auto-fill, minmax(" + legend.verticalWidth + "px, 1fr))",
                };
            }
            return {
                paddingTop: paddingTop,
                paddingBottom: paddingBottom,
            };
        };
        _this.getLegendStyle = function (position, _a) {
            var legend = _a.legend;
            if (axis_utils_1.isVerticalAxis(position)) {
                if (_this.state.width !== undefined) {
                    var threshold = Math.min(_this.state.width, legend.verticalWidth);
                    var width = threshold + "px";
                    return {
                        width: width,
                        maxWidth: width,
                    };
                }
                return {
                    maxWidth: legend.verticalWidth + "px",
                };
            }
            return {
                maxHeight: legend.horizontalHeight + "px",
            };
        };
        _this.onLegendItemMouseover = function (legendItemKey) { return function () {
            _this.props.chartStore.onLegendItemOver(legendItemKey);
        }; };
        _this.onLegendItemMouseout = function () {
            _this.props.chartStore.onLegendItemOut();
        };
        _this.renderLegendElement = function (item) {
            var key = item.key, displayValue = item.displayValue, banded = item.banded;
            var _a = _this.props.chartStore, legendPosition = _a.legendPosition, legendItemTooltipValues = _a.legendItemTooltipValues, isCursorOnChart = _a.isCursorOnChart;
            var tooltipValues = legendItemTooltipValues.get();
            var legendValues = _this.getLegendValues(tooltipValues, key, banded);
            return legendValues.map(function (value, index) {
                var yAccessor = index === 0 ? rendering_1.AccessorType.Y1 : rendering_1.AccessorType.Y0;
                return (react_1.default.createElement(legend_item_1.LegendItem, __assign({}, item, { label: _this.getItemLabel(item, yAccessor), key: key + "-" + yAccessor, legendItemKey: key, legendPosition: legendPosition.get(), displayValue: isCursorOnChart.get() ? value : displayValue.formatted[yAccessor], onMouseEnter: _this.onLegendItemMouseover(key), onMouseLeave: _this.onLegendItemMouseout })));
            });
        };
        return _this;
    }
    LegendComponent.prototype.componentDidUpdate = function () {
        this.tryLegendResize();
    };
    LegendComponent.prototype.render = function () {
        var _a = this.props.chartStore, legendInitialized = _a.legendInitialized, chartInitialized = _a.chartInitialized, legendItems = _a.legendItems, legendPosition = _a.legendPosition, showLegend = _a.showLegend, debug = _a.debug, chartTheme = _a.chartTheme;
        var position = legendPosition.get();
        if (!showLegend.get() || !legendInitialized.get() || legendItems.size === 0) {
            return null;
        }
        var legendContainerStyle = this.getLegendStyle(position, chartTheme);
        var legendListStyle = this.getLegendListStyle(position, chartTheme);
        var legendClasses = classnames_1.default('echLegend', "echLegend--" + position, {
            'echLegend--debug': debug,
            invisible: !chartInitialized.get(),
        });
        return (react_1.default.createElement("div", { ref: this.echLegend, className: legendClasses },
            react_1.default.createElement("div", { style: legendContainerStyle, className: "echLegendListContainer" },
                react_1.default.createElement("div", { style: legendListStyle, className: "echLegendList" }, __spread(legendItems.values()).map(this.renderLegendElement)))));
    };
    LegendComponent.prototype.getLegendValues = function (tooltipValues, key, banded) {
        if (banded === void 0) { banded = false; }
        var values = tooltipValues && tooltipValues.get(key);
        if (values === null || values === undefined) {
            return banded ? ['', ''] : [''];
        }
        var y0 = values.y0, y1 = values.y1;
        return banded ? [y1, y0] : [y1];
    };
    LegendComponent.prototype.getItemLabel = function (_a, yAccessor) {
        var banded = _a.banded, label = _a.label, y1AccessorFormat = _a.y1AccessorFormat, y0AccessorFormat = _a.y0AccessorFormat;
        if (!banded) {
            return label;
        }
        return yAccessor === rendering_1.AccessorType.Y1 ? "" + label + y1AccessorFormat : "" + label + y0AccessorFormat;
    };
    LegendComponent.displayName = 'Legend';
    return LegendComponent;
}(react_1.default.Component));
exports.Legend = mobx_react_1.inject('chartStore')(mobx_react_1.observer(LegendComponent));
//# sourceMappingURL=legend.js.map