import React from 'react';
import { ChartStore } from '../../chart_types/xy_chart/store/chart_state';
import { Position } from '../../chart_types/xy_chart/utils/specs';
interface LegendItemProps {
    chartStore?: ChartStore;
    legendItemKey: string;
    legendPosition: Position;
    color: string | undefined;
    label: string | undefined;
    isSeriesVisible?: boolean;
    isLegendItemVisible?: boolean;
    displayValue: string;
    onMouseEnter: (event: React.MouseEvent) => void;
    onMouseLeave: () => void;
}
interface LegendItemState {
    isColorPickerOpen: boolean;
}
declare class LegendItemComponent extends React.Component<LegendItemProps, LegendItemState> {
    static displayName: string;
    constructor(props: LegendItemProps);
    closeColorPicker: () => void;
    toggleColorPicker: () => void;
    render(): JSX.Element;
    renderColor(colorClickAction: () => void, color?: string, isSeriesVisible?: boolean): JSX.Element | null;
    renderVisibilityButton: (legendItemKey: string, isSeriesVisible?: boolean) => JSX.Element;
    renderTitle(title: string | undefined, onTitleClick: (event: React.MouseEvent<Element, MouseEvent>) => void, hasTitleClickListener: boolean, isSelected: boolean, hasDisplayValue: boolean): JSX.Element | null;
    renderDisplayValue(displayValue: string, show: boolean, isSeriesVisible: boolean | undefined): JSX.Element | undefined;
    onLegendTitleClick: (legendItemKey: string) => () => void;
    private onVisibilityClick;
}
export declare const LegendItem: typeof LegendItemComponent & import("mobx-react").IWrappedComponent<LegendItemProps>;
export {};
