import { ContainerConfig } from 'konva';
import React from 'react';
import { LegendItem } from '../../chart_types/xy_chart/legend/legend';
import { LineGeometry, PointGeometry } from '../../chart_types/xy_chart/rendering/rendering';
import { SharedGeometryStyle } from '../../utils/themes/theme';
interface LineGeometriesDataProps {
    animated?: boolean;
    lines: LineGeometry[];
    sharedStyle: SharedGeometryStyle;
    highlightedLegendItem: LegendItem | null;
    clippings: ContainerConfig;
}
interface LineGeometriesDataState {
    overPoint?: PointGeometry;
}
export declare class LineGeometries extends React.PureComponent<LineGeometriesDataProps, LineGeometriesDataState> {
    static defaultProps: Partial<LineGeometriesDataProps>;
    private readonly barSeriesRef;
    constructor(props: LineGeometriesDataProps);
    render(): JSX.Element;
    private mergePointPropsWithOverrides;
    private renderPoints;
    private renderLineGeoms;
    getLineToRender(line: LineGeometry, sharedStyle: SharedGeometryStyle, key: string): JSX.Element;
    getPointToRender(line: LineGeometry, sharedStyle: SharedGeometryStyle, key: string): JSX.Element[];
}
export {};
