import React from 'react';
import { ContainerConfig } from 'konva';
import { AxisSpec } from '../../chart_types/xy_chart/utils/specs';
import { ChartStore, Point } from '../../chart_types/xy_chart/store/chart_state';
import { AxisTick, AxisTicksDimensions } from '../../chart_types/xy_chart/utils/axis_utils';
import { Dimensions } from '../../utils/dimensions';
interface ReactiveChartProps {
    chartStore?: ChartStore;
}
interface ReactiveChartState {
    brushing: boolean;
    brushStart: Point;
    brushEnd: Point;
    bbox: {
        left: number;
        top: number;
    };
}
interface AxisProps {
    key: string;
    axisSpec: AxisSpec;
    axisTicksDimensions: AxisTicksDimensions;
    axisPosition: Dimensions;
    ticks: AxisTick[];
}
interface ReactiveChartElementIndex {
    element: JSX.Element;
    zIndex: number;
}
declare class Chart extends React.Component<ReactiveChartProps, ReactiveChartState> {
    static displayName: string;
    firstRender: boolean;
    state: {
        brushing: boolean;
        brushStart: {
            x: number;
            y: number;
        };
        brushEnd: {
            x: number;
            y: number;
        };
        bbox: {
            left: number;
            top: number;
        };
    };
    componentWillUnmount(): void;
    renderBarSeries: (clippings: ContainerConfig) => ReactiveChartElementIndex[];
    renderLineSeries: (clippings: ContainerConfig) => ReactiveChartElementIndex[];
    renderAreaSeries: (clippings: ContainerConfig) => ReactiveChartElementIndex[];
    getAxes: () => AxisProps[];
    renderAxes: () => JSX.Element[];
    renderGrids: () => JSX.Element[];
    renderAnnotations: () => ReactiveChartElementIndex[];
    renderBarValues: () => JSX.Element | undefined;
    renderBrushTool: () => JSX.Element | null;
    onStartBrusing: (event: {
        evt: MouseEvent;
    }) => void;
    onEndBrushing: () => void;
    onBrushing: (event: {
        evt: MouseEvent;
    }) => void;
    sortAndRenderElements(): JSX.Element[];
    render(): JSX.Element | null;
    private renderDebugChartBorders;
    private getHighlightedLegendItem;
}
export declare const ReactiveChart: typeof Chart & import("mobx-react").IWrappedComponent<ReactiveChartProps>;
export {};
