import { Datum } from '../chart_types/xy_chart/utils/specs';
export declare type AccessorFn = (datum: Datum) => any;
export declare type AccessorString = string | number;
export declare type Accessor = AccessorString;
/**
 * Accessor format for _banded_ series as postfix string or accessor function
 */
export declare type AccessorFormat = string | ((value: string) => string);
/**
 * Return an accessor function using the accessor passed as argument
 * @param accessor the spec accessor
 */
export declare function getAccessorFn(accessor: Accessor): AccessorFn;
/**
 * Return the accessor label given as `AccessorFormat`
 */
export declare function getAccessorFormatLabel(accessor: AccessorFormat, label: string): string;
