declare module '@elastic/eui/dist/eui_theme_amsterdam_dark.json' {
  const sassVariables: {
    paddingSizes: {
      xs: string;
      s: string;
      m: string;
      l: string;
      xl: string;
    };
    avatarSizing: {
      s: {
        size: string;
        'font-size': string;
      };
      m: {
        size: string;
        'font-size': string;
      };
      l: {
        size: string;
        'font-size': string;
      };
      xl: {
        size: string;
        'font-size': string;
      };
    };
    euiBadgeGroupGutterTypes: {
      gutterExtraSmall: string;
      gutterSmall: string;
    };
    euiBreadcrumbSpacing: string;
    euiBreadcrumbTruncateWidth: string;
    euiButtonEmptyTypes: {
      primary: string;
      danger: string;
      disabled: string;
      ghost: string;
      text: string;
    };
    euiButtonIconTypes: {
      danger: string;
      disabled: string;
      ghost: string;
      primary: string;
      subdued: string;
      success: string;
      text: string;
      warning: string;
    };
    euiButtonToggleTypes: {
      primary: string;
      secondary: string;
      warning: string;
      danger: string;
      ghost: string;
      text: string;
    };
    euiCallOutTypes: {
      primary: string;
      success: string;
      warning: string;
      danger: string;
    };
    euiCardSpacing: string;
    euiCardBottomNodeHeight: string;
    euiCardSelectButtonBorders: {
      text: string;
      primary: string;
      success: string;
      danger: string;
      ghost: string;
    };
    euiCardSelectButtonBackgrounds: {
      text: string;
      primary: string;
      success: string;
      danger: string;
      ghost: string;
    };
    euiColorPickerValueRange0: string;
    euiColorPickerValueRange1: string;
    euiColorPickerSaturationRange0: string;
    euiColorPickerSaturationRange1: string;
    euiColorPickerIndicatorSize: string;
    euiColorPickerWidth: string;
    euiContextMenuWidth: string;
    euiControlBarBackground: string;
    euiControlBarText: string;
    euiControlBarBorderColor: string;
    euiControlBarInitialHeight: string;
    euiControlBarMaxHeight: string;
    euiControlBarHeights: {
      s: string;
      m: string;
      l: string;
    };
    euiDataGridPrefix: string;
    euiDataGridStyles: string;
    euiDataGridColumnResizerWidth: string;
    euiDataGridCellPaddingS: string;
    euiDataGridCellPaddingM: string;
    euiDataGridCellPaddingL: string;
    euiDataGridVerticalBorder: string;
    euiDatePickerCalendarWidth: string;
    euiSuperDatePickerWidth: string;
    euiSuperDatePickerButtonWidth: string;
    euiDragAndDropSpacing: {
      s: string;
      m: string;
      l: string;
    };
    euiExpressionColors: {
      subdued: string;
      primary: string;
      secondary: string;
      warning: string;
      danger: string;
      accent: string;
    };
    gutterTypes: {
      gutterExtraSmall: string;
      gutterSmall: string;
      gutterMedium: string;
      gutterLarge: string;
      gutterExtraLarge: string;
    };
    fractions: {
      fourths: {
        percentage: string;
        count: number;
      };
      thirds: {
        percentage: string;
        count: number;
      };
      halves: {
        percentage: string;
        count: number;
      };
      single: {
        percentage: string;
        count: number;
      };
    };
    flyoutSizes: {
      small: {
        min: string;
        width: string;
        max: string;
      };
      medium: {
        min: string;
        width: string;
        max: string;
      };
      large: {
        min: string;
        width: string;
        max: string;
      };
    };
    euiFilePickerTallHeight: string;
    euiRangeLevelColors: {
      primary: string;
      success: string;
      warning: string;
      danger: string;
    };
    textareaResizing: {
      vertical: string;
      horizontal: string;
      both: string;
      none: string;
    };
    euiHeaderBackgroundColor: string;
    euiHeaderBreadcrumbColor: string;
    euiHeaderChildSize: string;
    ruleMargins: {
      marginXSmall: string;
      marginSmall: string;
      marginMedium: string;
      marginLarge: string;
      marginXLarge: string;
      marginXXLarge: string;
    };
    euiIconLoadingOpacity: number;
    euiIconColors: {
      text: string;
      subdued: string;
      primary: string;
      secondary: string;
      success: string;
      accent: string;
      warning: string;
      danger: string;
      ghost: string;
    };
    euiIconSizes: {
      small: string;
      medium: string;
      large: string;
      xLarge: string;
      xxLarge: string;
    };
    euiKeyPadMenuSize: string;
    euiKeyPadMenuItemBetaBadgeSize: string;
    textColors: {
      subdued: string;
      primary: string;
      secondary: string;
      accent: string;
      warning: string;
      danger: string;
      text: string;
      ghost: string;
    };
    euiListGroupGutterTypes: {
      gutterS: string;
      gutterM: string;
    };
    euiListGroupItemColorTypes: {
      primary: string;
      text: string;
      subdued: string;
    };
    euiListGroupItemSizeTypes: {
      xSmall: string;
      small: string;
      medium: string;
      large: string;
    };
    euiGradientStartStop: string;
    euiGradientMiddle: string;
    euiNavDrawerBackgroundColor: string;
    euiNavDrawerWidthExpanded: string;
    euiNavDrawerWidthCollapsed: string;
    euiNavDrawerSideShadow: string;
    euiNavDrawerTopPosition: string;
    euiNavDrawerExpandingDelay: string;
    euiNavDrawerContractingDelay: string;
    euiNavDrawerExtendedDelay: string;
    euiNavDrawerMenuAddedDelay: string;
    euiPopoverArrowSize: string;
    euiPopoverTranslateDistance: string;
    euiProgressSizes: {
      xs: string;
      s: string;
      m: string;
      l: string;
    };
    euiProgressColors: {
      primary: string;
      secondary: string;
      warning: string;
      danger: string;
      accent: string;
      subdued: string;
    };
    euiSelectableListItemBorder: string;
    euiSelectableListItemPadding: string;
    spacerSizes: {
      xs: string;
      s: string;
      m: string;
      l: string;
      xl: string;
      xxl: string;
    };
    euiStepNumberSize: string;
    euiStepNumberMargin: string;
    euiStepStatusColorsToFade: {
      warning: string;
      danger: string;
      disabled: string;
      incomplete: string;
    };
    euiSuggestItemColors: {
      tint0: string;
      tint1: string;
      tint2: string;
      tint3: string;
      tint4: string;
      tint5: string;
      tint6: string;
      tint7: string;
      tint8: string;
      tint9: string;
      tint10: string;
    };
    euiTableCellContentPadding: string;
    euiTableCellContentPaddingCompressed: string;
    euiTableCellCheckboxWidth: string;
    euiTableActionsAreaWidth: string;
    euiTableHoverColor: string;
    euiTableSelectedColor: string;
    euiTableHoverSelectedColor: string;
    euiTableActionsBorderColor: string;
    euiTableHoverClickableColor: string;
    euiTableFocusClickableColor: string;
    euiTabFontSize: string;
    euiTabFontSizeS: string;
    euiTextColors: {
      default: string;
      subdued: string;
      secondary: string;
      accent: string;
      warning: string;
      danger: string;
      ghost: string;
    };
    euiTextConstrainedMaxWidth: string;
    euiToastWidth: string;
    euiToastTypes: {
      primary: string;
      success: string;
      warning: string;
      danger: string;
    };
    euiTokenGrayColor: string;
    euiTokenTypes: {
      euiColorVis0: {
        graphic: string;
        behindText: string;
      };
      euiColorVis1: {
        graphic: string;
        behindText: string;
      };
      euiColorVis2: {
        graphic: string;
        behindText: string;
      };
      euiColorVis3: {
        graphic: string;
        behindText: string;
      };
      euiColorVis4: {
        graphic: string;
        behindText: string;
      };
      euiColorVis5: {
        graphic: string;
        behindText: string;
      };
      euiColorVis6: {
        graphic: string;
        behindText: string;
      };
      euiColorVis7: {
        graphic: string;
        behindText: string;
      };
      euiColorVis8: {
        graphic: string;
        behindText: string;
      };
      euiColorVis9: {
        graphic: string;
        behindText: string;
      };
      gray: {
        graphic: string;
        behindText: string;
      };
    };
    euiTokenTypeKeys: string;
    euiAnimSlightBounce: string;
    euiAnimSlightResistance: string;
    euiAnimSpeedExtraFast: string;
    euiAnimSpeedFast: string;
    euiAnimSpeedNormal: string;
    euiAnimSpeedSlow: string;
    euiAnimSpeedExtraSlow: string;
    euiBorderWidthThin: string;
    euiBorderWidthThick: string;
    euiBorderColor: string;
    euiBorderRadius: string;
    euiBorderThick: string;
    euiBorderThin: string;
    euiBorderEditable: string;
    euiButtonHeight: string;
    euiButtonHeightSmall: string;
    euiButtonColorDisabled: string;
    euiButtonColorDisabledText: string;
    euiButtonColorGhostDisabled: string;
    euiButtonToggleBorderColor: string;
    euiButtonTypes: {
      primary: string;
      secondary: string;
      warning: string;
      danger: string;
      ghost: string;
      text: string;
    };
    euiColorPrimary: string;
    euiColorSecondary: string;
    euiColorAccent: string;
    euiColorHighlight: string;
    euiColorGhost: string;
    euiColorInk: string;
    euiColorSuccess: string;
    euiColorDanger: string;
    euiColorWarning: string;
    euiColorEmptyShade: string;
    euiColorLightestShade: string;
    euiColorLightShade: string;
    euiColorMediumShade: string;
    euiColorDarkShade: string;
    euiColorDarkestShade: string;
    euiColorFullShade: string;
    euiTextColor: string;
    euiPageBackgroundColor: string;
    euiTextSubduedColor: string;
    euiTitleColor: string;
    euiLinkColor: string;
    euiFocusBackgroundColor: string;
    euiColorPrimaryText: string;
    euiColorSecondaryText: string;
    euiColorAccentText: string;
    euiColorWarningText: string;
    euiColorDangerText: string;
    euiColorSuccessText: string;
    euiPaletteColorBlind: {
      euiColorVis0: {
        graphic: string;
        behindText: string;
      };
      euiColorVis1: {
        graphic: string;
        behindText: string;
      };
      euiColorVis2: {
        graphic: string;
        behindText: string;
      };
      euiColorVis3: {
        graphic: string;
        behindText: string;
      };
      euiColorVis4: {
        graphic: string;
        behindText: string;
      };
      euiColorVis5: {
        graphic: string;
        behindText: string;
      };
      euiColorVis6: {
        graphic: string;
        behindText: string;
      };
      euiColorVis7: {
        graphic: string;
        behindText: string;
      };
      euiColorVis8: {
        graphic: string;
        behindText: string;
      };
      euiColorVis9: {
        graphic: string;
        behindText: string;
      };
    };
    euiPaletteColorBlindKeys: string;
    euiColorVis0: string;
    euiColorVis1: string;
    euiColorVis2: string;
    euiColorVis3: string;
    euiColorVis4: string;
    euiColorVis5: string;
    euiColorVis6: string;
    euiColorVis7: string;
    euiColorVis8: string;
    euiColorVis9: string;
    euiColorVis0_behindText: string;
    euiColorVis1_behindText: string;
    euiColorVis2_behindText: string;
    euiColorVis3_behindText: string;
    euiColorVis4_behindText: string;
    euiColorVis5_behindText: string;
    euiColorVis6_behindText: string;
    euiColorVis7_behindText: string;
    euiColorVis8_behindText: string;
    euiColorVis9_behindText: string;
    euiColorChartLines: string;
    euiColorChartBand: string;
    euiCodeBlockBackgroundColor: string;
    euiCodeBlockColor: string;
    euiCodeBlockSelectedBackgroundColor: string;
    euiCodeBlockCommentColor: string;
    euiCodeBlockSelectorTagColor: string;
    euiCodeBlockStringColor: string;
    euiCodeBlockNumberColor: string;
    euiCodeBlockKeywordColor: string;
    euiCodeBlockFunctionTitleColor: string;
    euiCodeBlockTagColor: string;
    euiCodeBlockNameColor: string;
    euiCodeBlockTypeColor: string;
    euiCodeBlockAttributeColor: string;
    euiCodeBlockSymbolColor: string;
    euiCodeBlockParamsColor: string;
    euiCodeBlockMetaColor: string;
    euiCodeBlockTitleColor: string;
    euiCodeBlockRegexpColor: string;
    euiCodeBlockBuiltInColor: string;
    euiCodeBlockSectionColor: string;
    euiCodeBlockAdditionBackgroundColor: string;
    euiCodeBlockAdditionColor: string;
    euiCodeBlockDeletionBackgroundColor: string;
    euiCodeBlockDeletionColor: string;
    euiCodeBlockSelectorClassColor: string;
    euiCodeBlockSelectorIdColor: string;
    euiFormMaxWidth: string;
    euiFormControlHeight: string;
    euiFormControlCompressedHeight: string;
    euiFormControlPadding: string;
    euiFormControlCompressedPadding: string;
    euiFormControlCompressedBorderRadius: string;
    euiRadioSize: string;
    euiCheckBoxSize: string;
    euiSwitchHeight: string;
    euiSwitchWidth: string;
    euiSwitchThumbSize: string;
    euiSwitchIconHeight: string;
    euiSwitchHeightCompressed: string;
    euiSwitchWidthCompressed: string;
    euiSwitchThumbSizeCompressed: string;
    euiSwitchHeightMini: string;
    euiSwitchWidthMini: string;
    euiSwitchThumbSizeMini: string;
    euiFormBackgroundColor: string;
    euiFormBackgroundDisabledColor: string;
    euiFormBackgroundReadOnlyColor: string;
    euiFormBorderOpaqueColor: string;
    euiFormBorderColor: string;
    euiFormBorderDisabledColor: string;
    euiFormCustomControlDisabledIconColor: string;
    euiFormCustomControlBorderColor: string;
    euiFormControlDisabledColor: string;
    euiFormControlBoxShadow: string;
    euiFormInputGroupLabelBackground: string;
    euiFormInputGroupBorder: string;
    euiSwitchOffColor: string;
    euiFormControlLayoutGroupInputHeight: string;
    euiFormControlLayoutGroupInputCompressedHeight: string;
    euiFormControlLayoutGroupInputCompressedBorderRadius: string;
    euiRangeTrackColor: string;
    euiRangeThumbRadius: string;
    euiRangeThumbHeight: string;
    euiRangeThumbWidth: string;
    euiRangeThumbBorderColor: string;
    euiRangeTrackWidth: string;
    euiRangeTrackHeight: string;
    euiRangeTrackBorderWidth: number;
    euiRangeTrackBorderColor: string;
    euiRangeTrackRadius: string;
    euiRangeDisabledOpacity: number;
    euiRangeHighlightHeight: string;
    euiPanelPaddingModifiers: {
      paddingSmall: string;
      paddingMedium: string;
      paddingLarge: string;
    };
    euiBreakpoints: {
      xs: number;
      s: string;
      m: string;
      l: string;
      xl: string;
    };
    euiBreakpointKeys: string;
    euiShadowColor: string;
    euiShadowColorLarge: string;
    euiSize: string;
    euiSizeXS: string;
    euiSizeS: string;
    euiSizeM: string;
    euiSizeL: string;
    euiSizeXL: string;
    euiSizeXXL: string;
    euiButtonMinWidth: string;
    euiScrollBar: string;
    euiScrollBarCorner: string;
    euiFocusRingColor: string;
    euiFocusRingAnimStartColor: string;
    euiFocusRingSizeLarge: string;
    euiFocusRingSize: string;
    euiTooltipBackgroundColor: string;
    euiTooltipAnimations: {
      top: string;
      left: string;
      bottom: string;
      right: string;
    };
    euiFontFamily: string;
    euiCodeFontFamily: string;
    euiFontFeatureSettings: string;
    euiTextScale: string;
    euiFontSize: string;
    euiFontSizeXS: string;
    euiFontSizeS: string;
    euiFontSizeM: string;
    euiFontSizeL: string;
    euiFontSizeXL: string;
    euiFontSizeXXL: string;
    euiLineHeight: number;
    euiFontWeightLight: number;
    euiFontWeightRegular: number;
    euiFontWeightMedium: number;
    euiFontWeightSemiBold: number;
    euiFontWeightBold: number;
    euiTitles: {
      xxxs: {
        'font-size': string;
        'line-height': string;
        'font-weight': number;
      };
      xxs: {
        'font-size': string;
        'line-height': string;
        'font-weight': number;
      };
      xs: {
        'font-size': string;
        'line-height': string;
        'font-weight': number;
      };
      s: {
        'font-size': string;
        'line-height': string;
        'font-weight': number;
      };
      m: {
        'font-size': string;
        'line-height': string;
        'font-weight': number;
      };
      l: {
        'font-size': string;
        'line-height': string;
        'font-weight': number;
      };
    };
    euiZLevel0: number;
    euiZLevel1: number;
    euiZLevel2: number;
    euiZLevel3: number;
    euiZLevel4: number;
    euiZLevel5: number;
    euiZLevel6: number;
    euiZLevel7: number;
    euiZLevel8: number;
    euiZLevel9: number;
    euiZContent: number;
    euiZHeader: number;
    euiZContentMenu: number;
    euiZNavigation: number;
    euiZMask: number;
    euiZModal: number;
    euiZComboBox: number;
    euiZToastList: number;
  };
  export default sassVariables;
}
