import { DecorateQueryProvider } from '../_decorate_query';
import { isFunction } from 'lodash';

describe('Query decorator', function () {
  let config;
  let fn;

  beforeEach(() => {
    const keys = {};
    config = {
      get: function (key) { return keys[key]; },
      set: function (key, value) { keys[key] = value; },
    };
    fn = new DecorateQueryProvider(config);
  });

  it('should be a function', function () {
    expect(isFunction(fn)).toEqual(true);
  });

  it('should merge in the query string options', function () {
    config.set('query:queryString:options', { analyze_wildcard: true });
    expect(fn({ query_string: { query: '*' } })).toEqual({ query_string: { query: '*', analyze_wildcard: true } });
  });
});
