const { has, extend } = require('lodash');

function DecorateQueryProvider(config) {
  /**
   * Decorate queries with default parameters
   * @param {query} query object
   * @returns {object}
   */
  return function (query) {
    const queryOptions = config.get('query:queryString:options');

    if (has(query, 'query_string.query')) {
      extend(query.query_string, queryOptions);
    }

    return query;
  };
}

module.exports = {
  'DecorateQueryProvider': DecorateQueryProvider
};