// See https://github.com/elastic/elasticsearch/issues/20941 and https://github.com/elastic/kibana/issues/8677
// and https://github.com/elastic/elasticsearch/pull/22201
// for the reason behind this change. Aggs now return boolean buckets with a key of 1 or 0.
function getConvertedValueForField(field, value) {
  if (typeof value !== 'boolean' && field.type === 'boolean') {
    if (value !== 1 && value !== 0) {
      throw new Error('Boolean scripted fields must return true or false');
    }
    return value === 1 ? true : false;
  }
  return value;
}

module.exports = {
  'getConvertedValueForField' : getConvertedValueForField
};