import { differentKindOfFilters, differentKindOfNegatedFilters } from './filter_list';

export function getQueryFixture(queryType) {
  let queries = [{ match_all: {} }];
  let filters = [];

  const _generateQuery = (filters, queries) => {
    return {
      'index': 'index1',
      'filters': filters,
      'queries': queries,
      'time': { 'range': { 'date': { 'gte': 1157112000000, 'lte': 1283688000000,'format': 'epoch_millis' } } }
    };
  };

  if  (queryType === 'saved_search') {
    queries = [{ 'match_all': {} }, { 'query_string': { 'query': 'funded_year:>2010', 'analyze_wildcard': true } }];
  }

  else if  (queryType === 'regular_query') {
    filters = [{ 'meta': { 'disabled': false }, 'query': { 'query_string': { 'query': 'dog', 'analyze_wildcard': true } } }];
  }

  else if (queryType === 'negated_query') {
    filters = [{ 'meta': { 'negate': true }, 'query': { 'query_string': { 'query': 'dog', 'analyze_wildcard': true } } }];
  }

  else if (queryType === 'different_filter_query') {
    filters = differentKindOfFilters;
  }

  else if (queryType === 'different_negated_filter_query') {
    filters = differentKindOfNegatedFilters;
  }

  return _generateQuery(filters, queries);
}

