import React from 'react';
import { EuiSuperSelect } from '@elastic/eui';
const SelectWithPlaceholder = (props) => {
    const options = [
        {
            value: '0',
            inputDisplay: props.placeholder,
            disabled: true
        },
        ...props.options
    ];
    let color = 'grey';
    if (props.isDisabled) {
        color = 'transparent';
    }
    else if (props.value && props.value !== '0') {
        color = 'black';
    }
    return (<EuiSuperSelect disabled={props.isDisabled} valueOfSelected={props.value || '0'} options={options} onChange={props.onChange} style={{ color }} data-test={props.dataTest}/>);
};
export default SelectWithPlaceholder;
