import React from 'react';
import { EuiHeader, EuiHeaderLink, EuiHeaderLinks, EuiHeaderSection } from '@elastic/eui';
const Header = (props) => {
    const sections = [{
            href: '#/models',
            id: 'models',
            name: 'Models'
        }, {
            href: '#/jobs',
            id: 'jobs',
            name: 'Jobs'
        }, {
            href: 'kibana#/dashboard/dashboard:ml-explorer',
            id: 'mlExplorer',
            name: 'ML Explorer'
        }];
    return (<EuiHeader>
      <EuiHeaderLinks>
        {sections.map(tab => (<EuiHeaderLink href={tab.href} isActive={tab.id === props.currentTab} key={tab.id} data-test={tab.id}>
            {tab.name}
          </EuiHeaderLink>))}
      </EuiHeaderLinks>
      <EuiHeaderSection side="right">
        {props.headerActions}
      </EuiHeaderSection>
    </EuiHeader>);
};
export default Header;
