import React, { PureComponent } from 'react';
import { EuiCard, EuiFlexGroup, EuiFlexItem, EuiIcon, EuiPageContentHeader, EuiPageContentHeaderSection, EuiTitle } from '@elastic/eui';
import queryString from 'query-string';
import { setMlPageTitle } from '../../constants';
export default class ModelTypeSelection extends PureComponent {
    constructor(props) {
        super(props);
        this.query = queryString.parse(this.props.location.search);
        setMlPageTitle('Model Type');
    }
    render() {
        return (<div className="wizard-column wizard-column--large">
        <EuiPageContentHeader>
          <EuiPageContentHeaderSection>
            <EuiTitle>
              <h2>Pick a Model Type</h2>
            </EuiTitle>
          </EuiPageContentHeaderSection>
        </EuiPageContentHeader>
        <EuiFlexGroup>
          <EuiFlexItem style={{ maxWidth: 350 }}>
            <EuiCard data-test="anomaly-detection-model" icon={<EuiIcon size="xxl" type="alert"/>} title="Anomaly Detection" description="Detect anomalies in single metric time-series data" href={`#/model/detection/new?savedSearch=${this.query.savedSearch}`}/>
          </EuiFlexItem>
          <EuiFlexItem style={{ maxWidth: 350 }}>
            <EuiCard data-test="future-prediction-model" icon={<EuiIcon size="xxl" type="clock"/>} title="Future Prediction" description="Forecast single metric time series data" href={`#/model/prediction/new?savedSearch=${this.query.savedSearch}`}/>
          </EuiFlexItem>
        </EuiFlexGroup>
      </div>);
    }
}
