import React from 'react';
import { range } from 'lodash';
import './ModelInfo.less';
const Separator = (props) => {
    return (<div style={{
        position: 'absolute',
        height: '100%',
        width: '100%',
        transform: `rotate(${props.turns}turn)`
    }}>
      <div style={props.style}/>
    </div>);
};
export class RadialSeparators extends React.PureComponent {
    constructor(props) {
        super(props);
    }
    render() {
        const turns = 1 / this.props.count;
        return (<React.Fragment>
        {range(this.props.count).map(index => (<Separator key={index} turns={index * turns} style={this.props.style}/>))}
      </React.Fragment>);
    }
}
