import queryString from 'query-string';
import Service from './Service';
export default class ModelService extends Service {
    static getAll() {
        return ModelService.http.get('/models')
            .then(response => response.data);
    }
    static get(id) {
        return ModelService.http.get(`/models/${id}`)
            .then(response => response.data);
    }
    static create(model) {
        return ModelService.http.put('/models', model).then();
    }
    static update(model, isUpdate) {
        const query = queryString.stringify({ isUpdate });
        return ModelService.http.post(`/models/${model.name}?` + query, model).then();
    }
    static delete(id) {
        return ModelService.http.delete(`/models/${id}`).then();
    }
    static start(id) {
        return ModelService.http.post(`/models/${id}/_start`).then();
    }
    static stop(id) {
        return ModelService.http.post(`/models/${id}/_stop`).then();
    }
    static predict(id, startTime, endTime) {
        const body = {
            start: startTime.toISOString(),
            stop: endTime.toISOString()
        };
        return ModelService.http.post(`/models/${id}/predict`, body)
            .then(response => response.data);
    }
}
