import { sortBy } from 'lodash';
const TIME = 0;
const REAL = 1;
const PREDICTION = 2;
const LOWER_BOUND = 1;
export function predictionDataBuilder(sourceData, predictionData) {
    const sortedData = sortBy(sourceData, point => point[TIME]);
    let line = [];
    sortedData.forEach((point, index) => {
        const previousPoint = sortedData[index - 1];
        const nextPoint = sortedData[index + 1];
        if (!point[REAL] || (previousPoint && !previousPoint[REAL]) || (nextPoint && !nextPoint[REAL])) {
            const predictedDatum = predictionData.predictionLine.find(p => p[TIME] === point[TIME]);
            line.push([
                point[TIME],
                point[REAL] || null,
                predictedDatum ? predictedDatum[1] : null
            ]);
        }
        else {
            line.push([point[TIME], point[REAL], null]);
        }
    });
    line = line.filter((point, i) => line[i][REAL] || line[i][PREDICTION] || !line[i - 1] || line[i - 1][REAL] || line[i - 1][PREDICTION] || !line[i + 1]);
    const area = sortBy(predictionData.predictionArea, point => point[TIME])
        .map(point => {
        const linePoint = line.find(p => p[TIME] === point[TIME]);
        return linePoint && linePoint[PREDICTION] !== null ? point : [point[TIME], null, null];
    })
        .filter((point, i, area) => point[LOWER_BOUND] || !area[i - 1] || area[i - 1][LOWER_BOUND] || !area[i + 1]);
    return { line, area };
}
