"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const MlComponent_1 = require("./MlComponent");
class Deployment extends MlComponent_1.MlComponent {
    activateLive(name) {
        return this._post(`/start/${encodeURIComponent(name)}`)
            .then(response => this.sirenMl.jobs.waitForJobStatus(response.task_id, ['Running', 'Failed']))
            .then(job => {
            if (job.status === 'Failed') {
                throw new Error(`Could not start model: ${job.result}`);
            }
        });
    }
    activateHistorical(name, config) {
        return this._post(`/start/${encodeURIComponent(name)}/_historical`, config)
            .then(response => response.task_id);
    }
    stop(name) {
        return this._post(`/start/${encodeURIComponent(name)}/_stop`)
            .then(response => this.sirenMl.jobs.waitForJobStatus(response.task_id, ['Complete', 'Failed']))
            .then(job => {
            if (job.status === 'Failed') {
                throw new Error(`Could not stop model: ${job.result}`);
            }
        });
    }
}
exports.default = Deployment;
