"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const attempt_1 = require("@lifeomic/attempt");
const MlComponent_1 = require("./MlComponent");
class Jobs extends MlComponent_1.MlComponent {
    getAll() {
        return this._get('/task');
    }
    get(id) {
        return this._get(`/task/${id}`);
    }
    waitForJobStatus(id, status) {
        return attempt_1.retry(() => this.getJobWithStatus(id, status), {
            delay: 1000,
            maxAttempts: 5
        });
    }
    getJobWithStatus(id, status) {
        return this.get(id)
            .then((job) => {
            if (status.includes(job.status)) {
                return job;
            }
            else {
                throw new Error(`Job '${id}' not complete yet`);
            }
        });
    }
}
exports.default = Jobs;
