"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SirenMl_1 = require("../lib/SirenMl/SirenMl");
class Routes {
    constructor(server) {
        const username = server.root.config().get('machine_learning.username');
        const password = server.root.config().get('machine_learning.password');
        this.sirenMl = new SirenMl_1.default(server.root.config().get('machine_learning.siren_ml.uri'), username && password ? { username, password } : undefined);
        this.registerRoutes(server);
    }
}
exports.default = Routes;
function hapiPluginFromClass(Class) {
    function register(server, options, next) {
        new Class(server);
        next();
    }
    register.attributes = { name: Class.name };
    return register;
}
exports.hapiPluginFromClass = hapiPluginFromClass;
