"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const boom_1 = require("boom");
const Errors_1 = require("../lib/SirenMl/Errors");
function sirenMlErrorHandler(server) {
    server.ext('onPreResponse', function (request, reply) {
        if (request.response.isBoom && request.response instanceof Errors_1.SirenMlError) {
            if (request.response.status === 'ECONNREFUSED') {
                return reply(boom_1.serverUnavailable('The SirenML service is unavailable. Please contact your system administrator'));
            }
            else {
                return reply(boom_1.boomify(request.response, { statusCode: request.response.status }));
            }
        }
        return reply.continue();
    });
}
sirenMlErrorHandler.attributes = { name: 'SirenML error handler' };
exports.default = sirenMlErrorHandler;
